# qpipe.h File Reference

Header file for the QPipe FIFO class. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | QCA

## Classes

class | QCA::QPipe
| A FIFO buffer (named pipe) abstraction. More...
class | QCA::QPipeDevice
| Unbuffered direct pipe. More...
class | QCA::QPipeEnd
| A buffered higher-level pipe end. More...

## Detailed Description

Header file for the QPipe FIFO class.

Note:
  You should not use this header directly from an application. You should just use `#include <QtCrypto>` instead.